/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2006. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  DPULPANEL                       1
#define  DPULPANEL_DPUL_WIDTH            2
#define  DPULPANEL_DPUL_DELAY            3
#define  DPULPANEL_DPUL_OK               4       /* callback function: DPulOk */

#define  PANEL                           2
#define  PANEL_DPUL_STATE                2       /* callback function: dpulState */
#define  PANEL_INSTR_DESC                3
#define  PANEL_RESET                     4
#define  PANEL_IDQUERY                   5
#define  PANEL_TEXTMSG                   6
#define  PANEL_RF_FREQ                   7
#define  PANEL_RF_LEVEL                  8
#define  PANEL_RF_STATE                  9
#define  PANEL_Exit                      10      /* callback function: exitApp */
#define  PANEL_APPLY                     11      /* callback function: apllySettings */
#define  PANEL_TEXT2                     12
#define  PANEL_TEXT1                     13
#define  PANEL_DECORATION_4              14
#define  PANEL_DECORATION_2              15
#define  PANEL_DECORATION_3              16
#define  PANEL_PULGEN_STATE              17
#define  PANEL_PULM_STATE                18
#define  PANEL_TEXT                      19
#define  PANEL_PULM_DELAY                20
#define  PANEL_PULM_WIDTH                21
#define  PANEL_PULM_PERIOD               22
#define  PANEL_TRIGGER_BUTTON            23      /* callback function: TriggerButton */
#define  PANEL_DPUL_BUTTON               24      /* callback function: DPulButton */

#define  TRIGPANEL                       3
#define  TRIGPANEL_TRIG_OK               2       /* callback function: TrigOk */
#define  TRIGPANEL_TRIG_POLARITY         3
#define  TRIGPANEL_TRIG_SLOPE            4
#define  TRIGPANEL_TRIG_MODE             5       /* callback function: TrigModeChanged */


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DPulButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK DPulOk(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK dpulState(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK TriggerButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TrigModeChanged(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TrigOk(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
